summaryrefslogtreecommitdiff
path: root/ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent
diff options
context:
space:
mode:
Diffstat (limited to 'ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent')
-rwxr-xr-xACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent16
1 files changed, 8 insertions, 8 deletions
diff --git a/ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent b/ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent
index 55c33659408..cc84eee8669 100755
--- a/ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent
+++ b/ACE/rpmbuild/ace-tao-init-suse/init.d/tao-cosevent
@@ -13,7 +13,7 @@
# system startup script for service/daemon TAO-cosconcurrency
#
# LSB compatible service control script; see http://www.linuxbase.org/spec/
-#
+#
### BEGIN INIT INFO
# Provides: TAO-cosconcurrency
# Required-Start: $syslog $remote_fs TAO-cosnaming
@@ -30,22 +30,22 @@
# Note: Special treatment of stop for LSB conformance
TAO_COSEVENT_BIN=/usr/sbin/tao-cosevent
-test -x $TAO_COSEVENT_BIN || { echo "$TAO_COSEVENT_BIN not installed";
+test -x $TAO_COSEVENT_BIN || { echo "$TAO_COSEVENT_BIN not installed";
if [ "$1" = "stop" ]; then exit 0;
else exit 5; fi; }
# Check for existence of needed config file and read it
-TAO_COSEVENT_CONFIG=/etc/sysconfig/tao/tao-cosevent.opt
+TAO_COSEVENT_CONFIG=/etc/sysconfig/tao-cosevent
test -r $TAO_COSEVENT_CONFIG || { echo "$TAO_COSEVENT_CONFIG not existing";
if [ "$1" = "stop" ]; then exit 0;
else exit 6; fi; }
-# Read config
+# Read config
. $TAO_COSEVENT_CONFIG
# Source LSB init functions
-# providing start_daemon, killproc, pidofproc,
+# providing start_daemon, killproc, pidofproc,
# log_success_msg, log_failure_msg and log_warning_msg.
# This is currently not used by UnitedLinux based distributions and
# not needed for init scripts for UnitedLinux only. If it is used,
@@ -79,7 +79,7 @@ rc_reset
# 6 - program is not configured
# 7 - program is not running
# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
-#
+#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signaling is not supported) are
@@ -160,7 +160,7 @@ case "$1" in
/sbin/killproc -HUP $TAO_COSEVENT_BIN
#touch /var/run/FOO.pid
rc_status -v
-
+
## Otherwise if it does not support reload:
#rc_failed 3
#rc_status -v
@@ -177,7 +177,7 @@ case "$1" in
# 3 - service not running (unused)
# 4 - service status unknown :-(
# 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
-
+
# NOTE: checkproc returns LSB compliant status values.
/sbin/checkproc $TAO_COSEVENT_BIN
# NOTE: rc_status knows that we called this init script with